#!/usr/bin/perl
# 
# sb - weblog management system
# == scripted by Takuya Otani ========
# == copyright (C) SimpleBoxes 2004 ==

{ # 
	use strict;
	use vars qw($gVersion_ $gEncode $gLock_Dir $gLockFile);     # ŪʴĶ
	use vars qw(%gIn @gIn %gData @gTemp %gEnv %gMsg $gNowTime); # Хѿ
	use lib  qw(. ./lib ./lib/lang ./ext);
}
{ # ᥤ롼
	&initialize();
	&mainscript();
}
exit(0);

# 
# ver 0.00 [2004/04/12] 
# ver 0.01 [2004/06/16] Ǹ
# ver 0.02 [2004/06/16]

sub initialize {
	$gVersion_ = '0.02'; # С
	require 'sbinit.pl'; # 롼
	return(1);
}
sub mainscript {
	eval {
		&sbfile_read_datafile('user'); # 桼ǡǧ
		my $cookie = &sbini_logincheck(); # å
		$gData{'{sb_site_title}'}[0] .= ($gIn{'mode'} eq 'regi') ? $gMsg{'mode'}{$gIn{'type'}} : $gMsg{'mode'}{$gIn{'mode'}}; # ȥꤹ
		MODE_SWITCH: {
			$_ = $gIn{'mode'};
			/^login/ && do {
				$gEnv{'block'}{'sb_login'} = 1; # ̤
				last MODE_SWITCH;
			};
			/^help/ && do {
				$gEnv{srv}{doc} .= '#' . $gIn{'help'} if ($gIn{'help'} ne ''); # ɤΥإפܤ
				print &sbhtml_http('',$gEnv{srv}{doc},''); # إפ Go!!
				exit(0);
			};
			/^view/ && do {
				print &sbhtml_http('',$gEnv{srv}{base},''); # ڡǧ㤤ޤ
				exit(0);
			};
			/^regi/ && do {
				$gData{'{sb_process_message}'}[0] = &sbadmn_regimode($gIn{'type'}); # Ͽ㤦
			};
			$gEnv{'block'}{'sb_mainbody'} = 1; # ᥤ֥åɽ褦
			&sbtmp_admnmenu($gIn{'mode'},$gEnv{'currentuser'}); # ˥塼ꤷäꤷ
			&sbtmp_admnbody($gIn{'mode'},$gEnv{'currentuser'}); # ΤƤƤߤ褦
		}
		&sbcms_parseblock($gEnv{admn}{txt}); # ƥץ졼ȤŸ㤦
		print &sbhtml_http($cookie,'',$gMsg{parts}{code}); # http head Ϥ
		print &sbcms_output(); # html Ϥ
	};
	&sbtmp_error($@) if ($@); # ʤ󤫥ޥä餷
	return();
}
