function confirmDelete() {
	if ( window.confirm('\u524A\u9664\u3057\u3066\u3082\u3088\u308D\u3057\u3044\u3067\u3059\u304B\uFF1F') ) {
		return true;
	} else {
		return false;
	}
}
function replaceEntity(str) {
	str = str.split("&").join("&amp;");
	str = str.split("<").join("&lt;");
	str = str.split(">").join("&gt;");
	str = str.split('"').join("&quot;");
	return(str);
}
function reverseEntity(str) {
	str = str.split("&quot;").join('"');
	str = str.split("&gt;").join(">");
	str = str.split("&lt;").join("<");
	str = str.split("&amp;").join("&");
	return(str);
}
function changeEntity(idName, mode) {
	var obj = this.document.getElementById(idName);
	if (!obj) return false;
	var txtConfirm = (mode) ? '\u30C6\u30AD\u30B9\u30C8\u30A8\u30EA\u30A2\u5185\u306E\u300C\u0026\u002C\u003C\u002C\u003E\u002C\u0022\u300D\u3092\u5B9F\u4F53\u53C2\u7167\u5316\u3057\u307E\u3059\u3002' : '\u30C6\u30AD\u30B9\u30C8\u30A8\u30EA\u30A2\u5185\u306E\u5B9F\u4F53\u53C2\u7167\u6587\u5B57\u3092\u300C\u0026\u002C\u003C\u002C\u003E\u002C\u0022\u300D\u306B\u5909\u63DB\u3057\u307E\u3059\u3002';
	txtConfirm = Array(txtConfirm,"\n\n\u3088\u308D\u3057\u3044\u3067\u3059\u304B\uFF1F").join('');
	if (document.selection) {
		obj.focus();
		var str = document.selection.createRange().text;
		if (str) {
			document.selection.createRange().text = (mode) ? replaceEntity(str) : reverseEntity(str);
		} else if (obj.value && confirm(txtConfirm)) {
			obj.value = (mode) ? replaceEntity(obj.value) : reverseEntity(obj.value);
		}
	} else if ( (obj.selectionEnd - obj.selectionStart) > 0 ) {
		var bgnPos = obj.selectionStart;
		var endPos = obj.selectionEnd;
		var bfrStr = obj.value.substring(0, bgnPos);
		var fcsStr = (mode) ? replaceEntity(obj.value.substring(bgnPos, endPos)) : reverseEntity(obj.value.substring(bgnPos, endPos));
		var difLen = fcsStr.length - (endPos - bgnPos);
		var aftStr = obj.value.substring(endPos, obj.value.length);
		obj.value = Array(bfrStr,fcsStr,aftStr).join('');
		obj.setSelectionRange(bgnPos,endPos + difLen);
	} else if (obj.value) {
		if (confirm(txtConfirm)) {
			obj.value = (mode) ? replaceEntity(obj.value) : reverseEntity(obj.value);
		}
	}
	return false;
}
function addHtmlTag(idName, tag, option) {
	var obj = this.document.getElementById(idName);
	if (!obj) return false;
	var bgnTag = (!option) ? Array('<',tag,'>').join('') : Array('<',tag,' ',option,'>').join('');
	var endTag = Array('</',tag,'>').join('');
	if (document.selection) {
		obj.focus();
		var str = document.selection.createRange().text;
		if (str) {
			document.selection.createRange().text = Array(bgnTag,str,endTag).join('');
		} else {
			obj.value = Array(obj.value,bgnTag,endTag).join('');
		}
	} else if ( (obj.selectionEnd - obj.selectionStart) > 0 ) {
		var bgnPos = obj.selectionStart;
		var endPos = obj.selectionEnd;
		var bfrStr = obj.value.substring(0, bgnPos);
		var fcsStr = Array(bgnTag,obj.value.substring(bgnPos, endPos),endTag).join('');
		var difLen = fcsStr.length - (endPos - bgnPos);
		var aftStr = obj.value.substring(endPos, obj.value.length);
		obj.value = Array(bfrStr,fcsStr,aftStr).join('');
		obj.setSelectionRange(bgnPos,endPos + difLen);
	} else {
		obj.value = Array(obj.value,bgnTag,endTag).join('');
	}
	return false;
}
function addLink(idName) {
	var url = prompt('\u30EA\u30F3\u30AF\u3059\u308B\u30B5\u30A4\u30C8\u306E\u0055\u0052\u004C\u3092\u5165\u529B\u3057\u3066\u304F\u3060\u3055\u3044\u3002', 'http://');
	if (url == null) return false;
	var option = Array('href="',url,'" target="_blank"').join('');
	addHtmlTag(idName, 'a', option);
}
function addImage(idName,val) {
	var obj = this.document.getElementById(idName);
	if (!obj) return false;
	if (val == '') return false;
	obj.value = Array(obj.value,'<img ',val,' />').join('');
	return false;
}
function showUploadForm(idName) {
	var obj = this.document.getElementById(idName);
	if (!obj) return false;
	obj.style.display = 'block';
	window.location.hash = 'top';
	var objForm = this.document.getElementById('upload_file');
	if (!objForm) return;
	objForm.focus();
	return;
}
function setNowTime() {
	var nowTime = new Date();
	var yr = nowTime.getYear();
	var mo = nowTime.getMonth()+1;
	var dy = nowTime.getDate();
	var ho = nowTime.getHours();
	var mi = nowTime.getMinutes();
	var sc = nowTime.getMinutes();
	var form = document.mainform;
	form.entry_date_yr.value = (yr < 2000) ? yr + 1900 : yr;
	form.entry_date_mo.value = (mo < 10) ? '0' + mo : mo;
	form.entry_date_dy.value = (dy < 10) ? '0' + dy : dy;
	form.entry_date_ho.value = (ho < 10) ? '0' + ho : ho;
	form.entry_date_mi.value = (mi < 10) ? '0' + mi : mi;
	form.entry_date_sc.value = (sc < 10) ? '0' + sc : sc;
	return;
}
